#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a1, f1, a2, f2;
    scanf("%d%d%d%d", &a1, &f1, &a2, &f2);
    if (a1-a2>0 && f1-f2==0)
    {
        printf("prvi");
    }
    else if (a1-a2==0 && f1-f2>0)
    {
        printf("drugi");
    }
    else if (a1-a2>0 && f1-f2>0)
    {
        printf("?");
    }
    else
    {
        printf("nijedan");
    }
    return 0;
}